Subject: bug#10687: 24.0.92; Interactive edebug/eieio interaction

From: Glenn Morris <[email-masked]>
Date: Wed, 01 Feb 2012 12:01:36 -0500

Lars Ingebrigtsen wrote:

> Put the following in *scratch*, and say `C-u M-C-x' to edebug-instrument
> it.
>
> (defun test-edebug ()
>   (interactive)
>   (auth-source-search :max 1
> 		      :host "news.gmane.org"
> 		      :port '("119" "nntp")))
>
> Then say `(test-edebug)' and step through the form.  Everything will be
> fine.

Nope, I get (in emacs -Q): Symbol's function definition is void:
auth-source-search

If I repeat with emacs -Q -l auth-source, then it works for me.
(Not trying to be awkward here.)

> But then say `M-x test-edebug'.  I get the following error when stepping
> over the search function:

Works for me with emacs -Q -l auth-source.